saveCanvas = function(canvas){
	Meteor.call('download');
	display.downloads++;
	var image = canvas.toDataURL("image/png").replace("image/png", "image/octet-stream"); //Convert image to 'octet-stream' (Just a download, really)
	window.location.href = image;
}


expandThumb = function(ind){
	can = document.createElement("canvas");
	can.id = "exporter";
	var len = 800;
	can.width = len;
	can.height = len;
	can.style.position = "absolute";
	can.style.left = "0px";
	can.style.top = "0px";
	var ctx = can.getContext("2d");
	var win = window.open();
	win.focus();
	win.document.write( "Processing enlargement request... Patience is a virtue, and a beautiful canvas will appear shortly");
	Meteor.call('loadFull', ind, len, function(e,r){
		var imageData = ctx.getImageData(0, 0, len, len);
		var data = imageData.data;
		data.set(r.pixels);
		ctx.putImageData(imageData, 0, 0);
		win.document.body.appendChild(can);
		saveCanvas(can);
	});
};
    